std::back_insert_iterator::back_insert_iterator(3)

NAME
std::back_insert_iterator::back_insert_iterator - std::back_insert_iterator::back_insert_iterator

Synopsis
   explicit back_insert_iterator( Container& c ); (until C++20)
   constexpr explicit back_insert_iterator( Container& c ); (since C++20)
   Initializes the underlying pointer to the container to std::addressof(c).

Parameters
   c - container to initialize the inserter with
   Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
                      default constructor was provided as removed along with the
   P2325R3 C++20 C++20 requirement
                      iterators must be default_initializable